Skip to Content
kosemdocs
ReferenceAPISites

Authorize site access

Returns where a person's browser goes to open a private site: the site's sign-in address, with a grant of a minute for the caller and the site, which the sites' server exchanges for a cookie of the site's host alone. Only people open private sites.

POST
/v1/projects/{project}/sites/{site}/authorize-access

Returns where a person's browser goes to open a private site: the site's sign-in address, with a grant of a minute for the caller and the site, which the sites' server exchanges for a cookie of the site's host alone. Only people open private sites.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
site*string

The site's ID.

Match^sit_[0-7][0-9a-hjkmnp-tv-z]{25}$

Request Body

application/json
  1. body
path?string

The path to open on the site, starting with /; / unless set.

Match^$|^/([^/\\][^\\]*)?$
Lengthlength <= 2048

Response Body

OK

application/json
  1. response
redirectUri*string

The site's sign-in address, with a grant of a minute for the caller and the site, which leads on to the path.

Example Request
curl -X POST 'https://api.kosem.ai/v1/projects/string/sites/string/authorize-access' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "redirectUri": "string"
}